GroupsPerOperation.Operation (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.cfg.beanvalidation
Enum GroupsPerOperation.Operation

    java.lang.Object
      java.lang.Enum<GroupsPerOperation.Operation>
          org.hibernate.cfg.beanvalidation.GroupsPerOperation.Operation

All Implemented Interfaces:
  Serializable, Comparable<GroupsPerOperation.Operation>

Enclosing class:
  GroupsPerOperation

    public static enum GroupsPerOperation.Operation

extends Enum<GroupsPerOperation.Operation>

Enum Constant Summary
`DDL`
`DELETE`
`INSERT`
`UPDATE`

Method Summary
`String` | `getGroupPropertyName()`
`String` | `getName()`
`static GroupsPerOperation.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupsPerOperation.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSERT

    public static final GroupsPerOperation.Operation INSERT

### UPDATE

    public static final GroupsPerOperation.Operation UPDATE

### DELETE

    public static final GroupsPerOperation.Operation DELETE

### DDL

    public static final GroupsPerOperation.Operation DDL

Method Detail

### values

    public static GroupsPerOperation.Operation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GroupsPerOperation.Operation c : GroupsPerOperation.Operation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GroupsPerOperation.Operation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

### getGroupPropertyName

    public String getGroupPropertyName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.